#pragma once
#include "afxwin.h"
#include "resource.h"
#include "atltime.h"

// IB_Accounts dialog

class IB_Accounts : public CDialog
{
	DECLARE_DYNAMIC(IB_Accounts)

public:
	IB_Accounts(CWnd* pParent = NULL);   // standard constructor
	virtual ~IB_Accounts();

// Dialog Data
	enum { IDD = IDD_NUM_IBACC };

protected:
	HICON m_hIcon;
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	static UINT SyncTime(LPVOID p);
	CString m_strSessionNo;

	DECLARE_MESSAGE_MAP()

public:
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);	
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnPaint();
	afx_msg void OnCbnSelchangeCombo1();

	int		SyncTime(void);				// actual comm routine to time server
	void	ClearRegistry(void);

	long	m_lNumIB;		// num IB accounts
	CComboBox NumIBAccs;
	BOOL	m_bThreadRunning;
	BOOL	m_bRegistered;
	int		m_nThreadRet;

	WORD	wMajor;
	WORD	wMinor;

	CWinThread *m_TSyncThread;		// thread to be used for TimeSynch routinh
	int		m_nTimer;					// timer no

	CString m_strITS;	// Internet Time Server

	int m_nSessionNo;
	CTime ExpiryDate;
	CListBox m_lstIBDStatus;
	afx_msg void OnBnClickedCancel2();
};
