// DlgAccount.cpp : implementation file
//

#include "stdafx.h"
#include "client3.h"
#include "DlgAccount.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgAccount dialog

CDlgAccount::CDlgAccount(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgAccount::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgAccount)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CDlgAccount::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgAccount)
	DDX_Control(pDX, IDC_TIME, m_updateTime);
	//}}AFX_DATA_MAP
	DDX_Control(pDX, IDC_LISTACCT, ListAcct);
	DDX_Control(pDX, IDC_LISTPFOLIO, ListPFolio);
}

BEGIN_MESSAGE_MAP(CDlgAccount, CDialog)
	//{{AFX_MSG_MAP(CDlgAccount)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDCANCEL, OnBnClickedCancel)
END_MESSAGE_MAP()

/*
BOOL CDlgAccount::OnInitDialog()
{
	RECT rect;
	long lw;
	CDialog::OnInitDialog();

	CashBalance - Account cash balance
	Currency -  Currency string
	DayTradesRemaining - Number of day trades left
	EquityWithLoanValue - Equity with Loan Value
	InitMarginReq - Current initial margin requirement
	LongOptionValue - Long option value
	MaintMarginReq - Current maintenance margin
	NetLiquidation - Net liquidation value
	OptionMarketValue - Option market value
	ShortOptionValue - Short option value
	StockMarketValue - Stock market value
	UnalteredInitMarginReq - Overnight initial margin requirement
	UnalteredMaintMarginReq - Overnight maintenance margin requirement
	
	ListAcct.GetClientRect(&rect);
	lw = rect.right - rect.left;

	ListAcct.InsertString(
	m_AcctDetails.InsertColumn(0,"Key",LVCFMT_LEFT,lw/3,-1);
	m_AcctDetails.InsertColumn(1,"Details",LVCFMT_LEFT,lw/3,-1);
	m_AcctDetails.InsertColumn(2,"Value",LVCFMT_LEFT,lw/3,-1);
	m_AcctDetails.InsertItem(0,"CashBalance");
	m_AcctDetails.InsertItem(1,"Currency");
    m_AcctDetails.InsertItem(2,"DayTradesRemaining");
	m_AcctDetails.InsertItem(3,"EquityWithLoanValue");
	m_AcctDetails.InsertItem(4,"InitMarginReq");
	m_AcctDetails.InsertItem(5,"LongOptionValue");
    m_AcctDetails.InsertItem(6,"MaintMarginReq");
	m_AcctDetails.InsertItem(7,"NetLiquidation");
	m_AcctDetails.InsertItem(8,"OptionMarketValue");
	m_AcctDetails.InsertItem(9,"ShortOptionValue");
	m_AcctDetails.InsertItem(10,"StockMarketValue");
	m_AcctDetails.InsertItem(11,"UnalteredInitMarginReq");
	m_AcctDetails.InsertItem(12,"UnalteredMaintMarginReq");
	m_AcctDetails.SetItemText(0,1,"Account cash balance");
	m_AcctDetails.SetItemText(1,1,"Currency");
	m_AcctDetails.SetItemText(2,1,"Day trades left");
	m_AcctDetails.SetItemText(3,1,"Equity with loan value");
	m_AcctDetails.SetItemText(4,1,"Current initial margin requirement");
	m_AcctDetails.SetItemText(5,1,"Long Option Value");
	m_AcctDetails.SetItemText(6,1,"Current maintenance margin");
	m_AcctDetails.SetItemText(7,1,"Net liquidation value");
	m_AcctDetails.SetItemText(8,1,"Option market value");
	m_AcctDetails.SetItemText(9,1,"Short option value");
	m_AcctDetails.SetItemText(10,1,"Stock market value");
	m_AcctDetails.SetItemText(11,1,"Overnight initial margin requirement");
	m_AcctDetails.SetItemText(12,1,"Overnight maintenance margin requirement");

	m_AcctPFolio.GetClientRect(&rect);
	lw = rect.right - rect.left;

	m_AcctPFolio.InsertColumn(0,"Symbol", LVCFMT_LEFT, lw/10, -1 );
	m_AcctPFolio.InsertColumn(1,"Type", LVCFMT_LEFT, lw/10, -1 );
	m_AcctPFolio.InsertColumn(2,"Expiry", LVCFMT_LEFT, lw/10, -1 );
	m_AcctPFolio.InsertColumn(3,"Position", LVCFMT_LEFT, lw/10, -1 );
	m_AcctPFolio.InsertColumn(4,"Mkt Price", LVCFMT_LEFT, lw/10, -1 );
	m_AcctPFolio.InsertColumn(5,"Mkt Value", LVCFMT_LEFT, lw/10, -1 );

	return TRUE;
}*/

/////////////////////////////////////////////////////////////////////////////
// CDlgAccount message handlers
void CDlgAccount::updateAccountValue(const CString &key, const CString &val /*, const CString &currency*/)
{	// 'curency' is dropped (cash markets only)
/*	if (key=="CashBalance")				{m_AcctDetails.SetItemText(0,2,val);return;}
	if (key=="Currency")				{m_AcctDetails.SetItemText(1,2,val);return;}
	if (key=="DayTradesRemaining")		{m_AcctDetails.SetItemText(2,2,val);return;}
	if (key=="EquityWithLoanValue")		{m_AcctDetails.SetItemText(3,2,val);return;}
	if (key=="InitMarginReq")			{m_AcctDetails.SetItemText(4,2,val);return;}
	if (key=="LongOptionValue")			{m_AcctDetails.SetItemText(5,2,val); return;}
	if (key=="MaintMarginReq")			{m_AcctDetails.SetItemText(6,2,val); return;}
	if (key=="NetLiquidation")			{m_AcctDetails.SetItemText(7,2,val); return;}
	if (key=="OptionMarketValue")		{m_AcctDetails.SetItemText(8,2,val); return;}
	if (key=="ShortOptionValue")		{m_AcctDetails.SetItemText(9,2,val); return;}
	if (key=="StockMarketValue")		{m_AcctDetails.SetItemText(10,2,val); return;}
	if (key=="UnalteredInitMarginReq")	{m_AcctDetails.SetItemText(11,2,val); return;}
	if (key=="UnalteredMaintMarginReq") {m_AcctDetails.SetItemText(12,2,val); return;}
*/	//AfxMessageBox("New Key :" + key);
	CString DispStr;
	DispStr = key + " " + val;
	ListAcct.InsertString(0,DispStr);
}

void CDlgAccount::updateAccountTime(const CString &timeStamp) 
{
	m_updateTime.SetWindowText(timeStamp);
}

void CDlgAccount::updatePortfolio( const CString &symbol,
                              const CString &secType,
                              const CString &expiry,
                              //double        strike,
                              //const CString &right,
                              //const CString &currency,
							  //const CString &localSymbol,
                              int           position,
                              double		marketPrice,
                              double        marketValue ) 
{
    CString str;
	str.Format( "%s %s %s  position=%i price=%f value=%f",
		(const char *)symbol, (const char *)secType, (const char *)expiry,
		position, marketPrice, marketValue);
	ListPFolio.InsertString(0, str);
  
/*	bug with ListCtrl, so reverting back to simple list
	int n = m_AcctPFolio.GetItemCount();
	m_AcctPFolio.InsertItem(n, symbol);
	m_AcctPFolio.SetItemText(n,0,symbol);
	m_AcctPFolio.SetItemText(n,1,secType);
	m_AcctPFolio.SetItemText(n,2,expiry);
	str.Format("%i",position);
	m_AcctPFolio.SetItemText(n,3,str);
	str.Format("%.2f",marketPrice);
	m_AcctPFolio.SetItemText(n,4,str);
	str.Format("%.2f",marketValue);
	m_AcctPFolio.SetItemText(n,5,str);
*/
}

void CDlgAccount::OnBnClickedCancel()
{
	 // TODO: Add your control notification handler code here
	OnCancel();
}
