// CDlgLogConfig.cpp : implementation file
//

#include "stdafx.h"
#include "client3.h"
#include "EClientSocket.h" // C:\Jts\Shared\ 
#include "DlgLogConfig.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgLogConfig dialog

CDlgLogConfig::CDlgLogConfig(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgLogConfig::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgLogConfig)
	//}}AFX_DATA_INIT

    m_sLogLevel = ERR; // This is the default log level when you connect to TWS
}


void CDlgLogConfig::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgLogConfig)
	DDX_Control(pDX, IDC_SERVER_LOGLEVEL, m_serverLogLevel);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgLogConfig, CDialog)
	//{{AFX_MSG_MAP(CDlgLogConfig)
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, OnBnClickedCancel)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgLogConfig message handlers

void CDlgLogConfig::OnOK() 
{
    m_sLogLevel = m_serverLogLevel.GetCurSel();
	
	CDialog::OnOK();
}

BOOL CDlgLogConfig::OnInitDialog() 
{
	CDialog::OnInitDialog();
	CRect lprect;
	int nLines = 5;
	m_serverLogLevel.GetWindowRect( &lprect ); 
	lprect.bottom = lprect.top + nLines * m_serverLogLevel.GetItemHeight( -1 ) + lprect.Height();
	m_serverLogLevel.SetWindowPos(NULL, 0, 0, lprect.Width(), lprect.Height(), SWP_NOMOVE | SWP_NOZORDER );

	
	if ( CB_ERR == m_serverLogLevel.GetCurSel() ) 
    {
        m_serverLogLevel.SetCurSel( m_sLogLevel);
    }

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDlgLogConfig::OnBnClickedOk()
{
	OnOK();
}

void CDlgLogConfig::OnBnClickedCancel()
{
	OnCancel();
}
