#pragma once

//#include "client3Dlg.h"
#include <afxtempl.h>
#include "xlistctrl.h"
#include "afxwin.h"
// DlgMktDepth.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CDlgMktDepth dialog
class CTws;

class CDlgMktDepth : public CDialog
{
// Construction
public:
	CWnd*	m_pParent;				// pointer to parent window
	CDlgMktDepth(CWnd* pParent = NULL);   // standard constructor
	void updateMktDepth( long id, long position, CString marketMaker, long operation, 
						long side, double price, long size);
    int		m_tickerId;
// Dialog Data
	//{{AFX_DATA(CDlgMktDepth)
	enum { IDD = IDD_MKTDEPTH };
	CXListCtrl	m_lstBid;
	CXListCtrl	m_lstAsk;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgMktDepth)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgMktDepth)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	HICON m_hIcon;
	virtual void PostNcDestroy();

private:
    void addEntry(CXListCtrl* pList, int position, CString marketMaker, double price, int size);
    void deleteEntry(CXListCtrl* pList, int position);
    void updateEntry(CXListCtrl* pList, int position, double price, int size);
    void updateLists();
    void updateList(CXListCtrl* pList);

	int		m_nCumBid;
	int		m_nCumAsk;
	int		m_nActThres;

	//BOOL	m_bMktDepth;

	CString		m_strSessionNo;
	int			m_nSessionNo;

	int		m_nTimer;

public:
	afx_msg void OnBnClickedOk();			// close
	afx_msg void OnBnClickedCancel();		// hide
	afx_msg void OnEnChangeEdit2();			// change threshold
	CEdit m_edtActivity;
	afx_msg void OnTimer(UINT nIDEvent);
};
