#include "afxcmn.h"
#include "afxwin.h"
#include "afxdtctl.h"
#if !defined(AFX_DLGORDER_H__115EE565_0BA0_11D6_B0ED_00B0D074179C__INCLUDED_)
#define AFX_DLGORDER_H__115EE565_0BA0_11D6_B0ED_00B0D074179C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DlgOrder.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgOrder dialog

class CDlgOrder : public CDialog
{
// Construction
public:

	CDlgOrder(CWnd* pParent = NULL);   // standard constructor
	CWnd*			m_pParent;				// pointer to parent window


	Contract contract;
	Order order;
	long	m_lTickerId;
    // Dialog Data
	//{{AFX_DATA(CDlgOrder)
	enum { IDD = IDD_ORDER };
	//}}AFX_DATA

	CString m_strLogPath;
	CString m_strLog;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgOrder)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CString m_RegIBDKey;		// Base registry key for IBD Order/Contract Defaults
	// Generated message map functions
	//{{AFX_MSG(CDlgOrder)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:

	afx_msg void OnBnClickedOk();			// save settings and close
	afx_msg void OnBnClickedExtended();		// optional settings (generally left unchanged)
	afx_msg void OnCbnSelchangeType();
	afx_msg void OnCbnSelchangeExchange();
	afx_msg void OnBnClickedCheck8();
	afx_msg void OnBnClickedCheck7();
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton11();
	afx_msg void OnBnClickedCheck9();
	afx_msg void OnBnClickedCheck2();
	afx_msg void OnBnClickedCheck3();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedCheck4();


	CComboBox m_cbbSecType;
	CComboBox m_cbbExchange;

	CButton m_chkTransmit;
	CEdit	m_edtITS;
	BOOL	m_bRegInit;
	BOOL	m_bUseAutoStop;
	BOOL	m_bUseAutoLimit;
	BOOL	m_bTrail;
	BOOL	m_bPopupStatus;
	BOOL	m_bPaperTrade;
	BOOL	m_bAutoClose;
	BOOL	m_bFractExits;
	BOOL	m_bVolAlerts;
	BOOL	m_bVerbose;
	BOOL	m_bDebug;

	double  m_dStopPoints;
	double  m_dLimitPoints;
	double  m_dLimitPoints2;
	double  m_dLimitPoints3;
	int	    m_nLimitCts;
	int	    m_nLimitCts2;
	int	    m_nLimitCts3;

	int		m_nTimeOffset;

	int		m_nEODhour;
	int		m_nEODmin;

	int		m_nOCAType;

	CString		m_strSessionNo;
	int			m_nSessionNo;

	CEdit m_edtStopPoints;
	CEdit m_edtLimitPoints;
	CButton m_chkAutoStop;
	CButton m_chkAutoLimit;

	CButton m_chkTrail;
	CButton m_chkPopupStatus;
	long m_nLowVol;
	long m_nPeakVol;
	CButton m_chkPaperTrade;
	CEdit m_edtLog;
	CEdit m_edtLowVol;
	CEdit m_edtPeakVol;
	CButton m_chkAutoClose;
	CDateTimeCtrl m_dtEODTime;
	CButton m_chkFractExits;
	CEdit m_edtFractExits;
	CButton m_btnFractExits;
	CButton m_btnUpdFractExits;
	CButton m_chkVolAlerts;
	CStatic m_statLowVol;
	CStatic m_statPeakVol;

	CEdit OrdSize;
	CButton m_chkVerbose;
	CButton m_chkDebug;
	CComboBox m_cbbOCAType;
	afx_msg void OnEnChangeEdit1();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedCheck11();
	CEdit m_edtTimeOffset;
	CSpinButtonCtrl m_spnTimeOffset;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGORDER_H__115EE565_0BA0_11D6_B0ED_00B0D074179C__INCLUDED_)
