#if !defined(AFX_DLGSHAREALLOCATION_H__F0DFD2B3_679A_49D7_B24D_F94F62C12CA7__INCLUDED_)
#define AFX_DLGSHAREALLOCATION_H__F0DFD2B3_679A_49D7_B24D_F94F62C12CA7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DlgShareAllocation.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgShareAllocation dialog
//
// This class specifies the number of order shares allocated to each 
// Financial Advisor managed account. The format of the allocation string is as
// follows:              
//			<account_code1>/<number_shares1>,<account_code2>/<number_shares2>,...N
// E.g.
//		To allocate 20 shares of a 100 share order to account 'U101' and the 
//      residual 80 to account 'U203' enter the following share allocation string:
//          U101/20,U203/80
/////////////////////////////////////////////////////////////////////////////
class CDlgShareAllocation : public CDialog
{
// Construction
public:
	CDlgShareAllocation(CWnd* pParent = NULL);   // standard constructor

    CString getSharesAllocation()   { return m_strShareAllocations; }
    void setAccts(CString accts)    { m_strAccts = accts; }
   

// Dialog Data
	//{{AFX_DATA(CDlgShareAllocation)
	enum { IDD = IDD_ALLOC_PROFILE };
	CEdit	m_edtShareAlloc;
	CComboBox	m_cmbAccts;
	int		m_numShares;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgShareAllocation)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgShareAllocation)
	afx_msg void OnAdd();
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

    CString m_strAccts;
    CString m_strShareAllocations;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGSHAREALLOCATION_H__F0DFD2B3_679A_49D7_B24D_F94F62C12CA7__INCLUDED_)
