#pragma once

#include "XListCtrl.h"
#include "resource.h"
#include "registry.h"
#include "afxwin.h"

extern long Blue; //= RGB(0,0,255);
extern long Red;  //= RGB(255,0,0);
extern long Black;  //= RGB(0,0,0);
extern long White;  //= RGB(255,255,255);
extern long DarkRed;  //= RGB(128,0,0);
extern long DarkBlue;  //= RGB(0,0,128);
extern long DarkerBlue;
extern long Green; //= RGB(0,255,0);
extern long DarkGreen;  //= RGB(0,128,0);
extern long Colour; // = RGB(210,110,110); // any colour
extern long Grey;
extern long LightGrey;
extern long DarkGrey;

#define statError 0	// enum would have been fine too
#define statWarn 1
#define statInfo 2

// IB_Info dialog

class IB_Info : public CDialog
{
	DECLARE_DYNAMIC(IB_Info)

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	HICON m_hIcon;

	CRegistry	m_Reg;			// Registry location where parameter defaults are stored
	CString  m_RegIBDKey;
	CRect	m_dlgRect;

	CRect	m_rectList;
	CRect	m_rectHide;
	CRect	m_rectClear;
	CRect	m_rectClose;

	DECLARE_MESSAGE_MAP()


public:
	IB_Info(CWnd* pParent = NULL);   // standard constructor
	virtual ~IB_Info();

	CXListCtrl ListStatus;

// Dialog Data
	enum { IDD = IDD_INFO };		// to point to the correct resource when creating the modeless form dynamically

	CWnd*			m_pParent;				// pointer to parent window
	CString			m_strSessionNo;
	virtual BOOL	OnInitDialog();
	int				m_statType;
	CString			m_strInfo;
	void			ClearList(void);
	afx_msg void OnNMDblclkStatus(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedButton12();
	afx_msg void OnBnClickedButton11();
	afx_msg void OnBnClickedButton1();
	CButton m_btnClear;
	CButton m_btnHide;
	CButton m_btnClose;
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
};