#pragma once

#include "resource.h"
#include "afxwin.h"
#include "btnst.h"


// SL_AttExitAdjust dialog

class SL_AttExitAdjust : public CDialog
{
	DECLARE_DYNAMIC(SL_AttExitAdjust)

public:
	CWnd*			m_pParent;				// pointer to parent window
	SL_AttExitAdjust(CWnd* pParent = NULL);   // standard constructor
	virtual ~SL_AttExitAdjust();
	virtual BOOL OnInitDialog();

// Dialog Data
	enum { IDD = IDD_STPLMT_EXITS };

protected:
	HICON m_hIcon;
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	DECLARE_MESSAGE_MAP()

public:
	CButton m_chkStopLoss;
	CButton m_chkLmtTarget;
	CButton m_chkLmtTarget2;
	CButton m_chkLmtTarget3;

	CSmartEdit m_edtStpLoss;
	CSmartEdit m_edtLmtTarget;
	CSmartEdit m_edtLmtTarget2;
	CSmartEdit m_edtLmtTarget3;

	CLinkSlider StopLossSlider;
	CLinkSlider LmtTargetSlider;
	CLinkSlider LmtTargetSlider2;
	CLinkSlider LmtTargetSlider3;

	double	m_dRefPrice;
	double	m_dTickSize;
	double	m_nRange;
	double	m_dNumStpPts;
	double	m_dNumLmtPts;
	double	m_dNumLmtPts2;
	double	m_dNumLmtPts3;

	double	m_dStopPrice;
	double	m_dLimitPrice;
	double	m_dLimitPrice2;
	double	m_dLimitPrice3;

	int m_nPosition;

	BOOL	m_bFractExits;

	void AdjustStop(void);
	void AdjustLimit(void);
	void AdjustLimit2(void);
	void AdjustLimit3(void);

	afx_msg void CommitNewPrices();
	afx_msg void OnBnClickedButton13();
	afx_msg void CloseDialog();
	afx_msg void OnBnClickedStoploss();
	afx_msg void OnBnClickedLimittarget();
	afx_msg void OnBnAdjustLimit1();
	afx_msg void OnBnClickedLimittarget2();
	afx_msg void OnBnClickedLimittarget3();
	afx_msg void OnBnAdjustLimit2();
	afx_msg void OnBnAdjustLimit3();
	CButtonST m_btnClose;
	CButtonST m_btnApply;
	CButtonST m_btnApply2;
	CButtonST m_btnApply3;
	CButtonST m_btnApply4;
	CButtonST m_btnCancel;
	CButtonST m_btnCancelLimit1;
	CButtonST m_btnCancelLimit2;
	CButtonST m_btnCancelLimit3;
	afx_msg void OnBnCancelLimit1();
	afx_msg void OnBnCancelLimit2();
	afx_msg void OnBnCancelLimit3();
//	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
};
