#pragma once

#include "resource.h"
#include "afxwin.h"
#include "btnst.h"


// SL_EntryAdjust dialog

class SL_EntryAdjust : public CDialog
{
	DECLARE_DYNAMIC(SL_EntryAdjust)

public:
	SL_EntryAdjust(CWnd* pParent = NULL);   // standard constructor
	virtual ~SL_EntryAdjust();

// Dialog Data
	enum { IDD = IDD_STPLIMT_ENTRY };

protected:
	HICON m_hIcon;
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void	PostNcDestroy();
	DECLARE_MESSAGE_MAP()

public:
	CWnd*			m_pParent;				// pointer to parent window
	CButtonST		btnAdjust;
	CButtonST		btnCancelOrd;
	CButtonST		btnClose;
	CSmartEdit		m_edtLmtPrice;
	CSmartEdit		m_edtStpPrice;
	virtual BOOL	OnInitDialog();
	CLinkSlider		LmtSlider;
	CLinkSlider		StpSlider;
	double			m_dRefPrice;
	double			m_dTickSize;
	double			m_nRange;

	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedModorder();


	void			AdjustPrices();
	afx_msg void OnBnClickedOk2();
	afx_msg void OnClose();
	afx_msg void OnBnClickedOk3();
	CButtonST btnCloseNoAdjust;
};
