// client3Dlg.h : header file  (IBD_IB based on TWS API sample)
//
//{{AFX_INCLUDES()


//}}AFX_INCLUDES

// ----------- headers -----------------

// working on Beta version, so include header from sample project
#include "..\TestActiveXClient_VC\tws.h"		// TWS API general header

#include "include\Contract.h"	
#include "include\Order.h"		

#if !defined(AFX_CLIENT3DLG_H__E9173BB6_0F7E_11D6_B0ED_00B0D074179C__INCLUDED_)
#define AFX_CLIENT3DLG_H__E9173BB6_0F7E_11D6_B0ED_00B0D074179C__INCLUDED_

//#if _MSC_VER >= 1000
#pragma once
//#endif // _MSC_VER >= 1000

#include "include\EWrapper.h"    // C:\JTS\SocketClient\include must be added to include path
#include "XListCtrl.h"
#include "afxwin.h"
#include "afxcmn.h"

#include "btnst.h"
#include "sliders.h"
#include "smartedit.h"


#include "IB_Info.h"
#include "SL_EntryAdjust.h"
#include "SL_AttExitAdjust.h"
#include "DlgMktDepth.h"
#include "DOM.h"


// ------------ end headers -------------------

#define NOT_AN_FA_ACCOUNT_ERROR 321

struct Connect
{
	CString IP_Address;
	long	PortNo;
	long	ClientID;
	long	NumShares;
};

// temp struct pending construction of a class for FA
struct FA_info
{
	CString faGoodAfterTime;
	CString faGroup; 
	CString faMethod;
	CString faPercentage;
	CString faProfile;
	CString faGoodTillDate;
};

/////////////////////////////////////////////////////////////////////////////
// CClient3Dlg dialog

class CClient3Dlg : public CDialog
{
// Construction
public:
	CClient3Dlg(CWnd* pParent = NULL);	// standard constructor

	CWnd*	m_pWnd;			// handle to this dialog
	CRect	m_dlgRect;
	int		m_nRectHeight;
// Dialog Data
	//{{AFX_DATA(CClient3Dlg)
	enum { IDD = IDD_IB_DIALOG };
	CTws	m_tws1;	// 3 IB accounts  (ActiveX controls)
	CTws	m_tws2;
	CTws	m_tws3;

	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CClient3Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CClient3Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();

	afx_msg void OntickPriceTwsctrl1(long id, long tickType, double price, int canAutoExecute);
	afx_msg void OntickSizeTwsctrl1(long id, long tickType, long size);
	afx_msg void OnconnectionClosedTwsctrl1();
	afx_msg void OnconnectionClosedTwsctrl2();	
	afx_msg void OnconnectionClosedTwsctrl3();	
	afx_msg void OnReqmktdata();
	afx_msg void OnConnect();
	afx_msg void OnDisconnect();
	afx_msg void OnSetExtOrdAttribs();
	afx_msg void OnreqOpenOrders();
	afx_msg void OnReqExecutions();

	//  TWS message handling
	//  some are dedicated to single TWS, some are defined for TWS1 only
	//  API format changes often, hence these function definitions will often require some updating


	afx_msg void OnintradayDataTwsctrl1(long reqId, LPCTSTR date, double open, double high, double low, double close, int volume, double WAP, long hasGaps) ;

//	afx_msg void OnopenOrder1Twsctrl1(long id, LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR exchange, LPCTSTR curency, LPCTSTR localSymbol);
//	afx_msg void OnopenOrder1Twsctrl2(long id, LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR exchange, LPCTSTR curency, LPCTSTR localSymbol);
//	afx_msg void OnopenOrder1Twsctrl3(long id, LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR exchange, LPCTSTR curency, LPCTSTR localSymbol);

//	afx_msg void OnopenOrder2Twsctrl1(long id, LPCTSTR , long quantity, LPCTSTR orderType, double lmtPrice, double auxPrice, LPCTSTR tif, LPCTSTR ocaGroup, LPCTSTR account, LPCTSTR openClose, long origin, LPCTSTR orderRef, long clientId);
//	afx_msg void OnopenOrder2Twsctrl2(long id, LPCTSTR action, long quantity, LPCTSTR orderType, double lmtPrice, double auxPrice, LPCTSTR tif, LPCTSTR ocaGroup, LPCTSTR account, LPCTSTR openClose, long origin, LPCTSTR orderRef, long clientId);
//	afx_msg void OnopenOrder2Twsctrl3(long id, LPCTSTR action, long quantity, LPCTSTR orderType, double lmtPrice, double auxPrice, LPCTSTR tif, LPCTSTR ocaGroup, LPCTSTR account, LPCTSTR openClose, long origin, LPCTSTR orderRef, long clientId);
	
	afx_msg void OnopenOrder3Twsctrl1(long id, LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR exchange, LPCTSTR curency, LPCTSTR localSymbol, LPCTSTR , long quantity, LPCTSTR orderType, double lmtPrice, double auxPrice, LPCTSTR tif, LPCTSTR ocaGroup, LPCTSTR account, LPCTSTR openClose, long origin, LPCTSTR orderRef, long clientId, long permId, LPCTSTR sharesAllocation, LPCTSTR faGroup, LPCTSTR faMethod, LPCTSTR faPercentage, LPCTSTR faProfile, LPCTSTR goodAfterTime, LPCTSTR goodTillDate);
	afx_msg void OnopenOrder3Twsctrl2(long id, LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR exchange, LPCTSTR curency, LPCTSTR localSymbol, LPCTSTR , long quantity, LPCTSTR orderType, double lmtPrice, double auxPrice, LPCTSTR tif, LPCTSTR ocaGroup, LPCTSTR account, LPCTSTR openClose, long origin, LPCTSTR orderRef, long clientId, long permId, LPCTSTR sharesAllocation, LPCTSTR faGroup, LPCTSTR faMethod, LPCTSTR faPercentage, LPCTSTR faProfile, LPCTSTR goodAfterTime, LPCTSTR goodTillDate);
	afx_msg void OnopenOrder3Twsctrl3(long id, LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR exchange, LPCTSTR curency, LPCTSTR localSymbol, LPCTSTR , long quantity, LPCTSTR orderType, double lmtPrice, double auxPrice, LPCTSTR tif, LPCTSTR ocaGroup, LPCTSTR account, LPCTSTR openClose, long origin, LPCTSTR orderRef, long clientId, long permId, LPCTSTR sharesAllocation, LPCTSTR faGroup, LPCTSTR faMethod, LPCTSTR faPercentage, LPCTSTR faProfile, LPCTSTR goodAfterTime, LPCTSTR goodTillDate);

	afx_msg void OnhistoricalDataTwsctrl1(long reqId, LPCTSTR date, double open, double high, double low, double close, int volume, double WAP, long hasGaps) ;
	
	afx_msg void OnopenOrder4Twsctrl1(long id, LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR exchange, LPCTSTR curency, LPCTSTR localSymbol, LPCTSTR action, long quantity, LPCTSTR orderType, double lmtPrice, double auxPrice, LPCTSTR tif, LPCTSTR ocaGroup, LPCTSTR account, LPCTSTR openClose, long origin, LPCTSTR orderRef, long clientId, long permId, LPCTSTR sharesAllocation, LPCTSTR faGroup, LPCTSTR faMethod, LPCTSTR faPercentage, LPCTSTR faProfile, LPCTSTR goodAfterTime, LPCTSTR goodTillDate, long ocaType, long rthOnly, LPCTSTR rule80A, LPCTSTR settlingFirm, long allOrNone, long minQty, double percentOffset, long eTradeOnly, long firmQuoteOnly, double nbboPriceCap, long auctionStrategy, double startingPrice, double stockRefPrice, double delta, double stockRangeLower, double stockRangeUpper,  long blockOrder, long sweepToFill, long ignoreRth, long hidden, double discretionaryAmt, long displaySize, long parentId, long triggerMethod, long shortSaleSlot, LPCTSTR designatedLocation);
	afx_msg void OnopenOrder4Twsctrl2(long id, LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR exchange, LPCTSTR curency, LPCTSTR localSymbol, LPCTSTR action, long quantity, LPCTSTR orderType, double lmtPrice, double auxPrice, LPCTSTR tif, LPCTSTR ocaGroup, LPCTSTR account, LPCTSTR openClose, long origin, LPCTSTR orderRef, long clientId, long permId, LPCTSTR sharesAllocation, LPCTSTR faGroup, LPCTSTR faMethod, LPCTSTR faPercentage, LPCTSTR faProfile, LPCTSTR goodAfterTime, LPCTSTR goodTillDate, long ocaType, long rthOnly, LPCTSTR rule80A, LPCTSTR settlingFirm, long allOrNone, long minQty, double percentOffset, long eTradeOnly, long firmQuoteOnly, double nbboPriceCap, long auctionStrategy, double startingPrice, double stockRefPrice, double delta, double stockRangeLower, double stockRangeUpper,  long blockOrder, long sweepToFill, long ignoreRth, long hidden, double discretionaryAmt, long displaySize, long parentId, long triggerMethod, long shortSaleSlot, LPCTSTR designatedLocation);
	afx_msg void OnopenOrder4Twsctrl3(long id, LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR exchange, LPCTSTR curency, LPCTSTR localSymbol, LPCTSTR action, long quantity, LPCTSTR orderType, double lmtPrice, double auxPrice, LPCTSTR tif, LPCTSTR ocaGroup, LPCTSTR account, LPCTSTR openClose, long origin, LPCTSTR orderRef, long clientId, long permId, LPCTSTR sharesAllocation, LPCTSTR faGroup, LPCTSTR faMethod, LPCTSTR faPercentage, LPCTSTR faProfile, LPCTSTR goodAfterTime, LPCTSTR goodTillDate, long ocaType, long rthOnly, LPCTSTR rule80A, LPCTSTR settlingFirm, long allOrNone, long minQty, double percentOffset, long eTradeOnly, long firmQuoteOnly, double nbboPriceCap, long auctionStrategy, double startingPrice, double stockRefPrice, double delta, double stockRangeLower, double stockRangeUpper,  long blockOrder, long sweepToFill, long ignoreRth, long hidden, double discretionaryAmt, long displaySize, long parentId, long triggerMethod, long shortSaleSlot, LPCTSTR designatedLocation);

	afx_msg void OnorderStatusTwsctrl1(long id, LPCTSTR status, long filled, long remaining, double avgFillPrice, long permId, long parentId, double lastFillPrice, long clientId);
	afx_msg void OnorderStatusTwsctrl2(long id, LPCTSTR status, long filled, long remaining, double avgFillPrice, long permId, long parentId, double lastFillPrice, long clientId);
	afx_msg void OnorderStatusTwsctrl3(long id, LPCTSTR status, long filled, long remaining, double avgFillPrice, long permId, long parentId, double lastFillPrice, long clientId);

	afx_msg void OnmanagedAccountsTwsctrl1(LPCTSTR accountsList);
	afx_msg void OnmanagedAccountsTwsctrl2(LPCTSTR accountsList);
	afx_msg void OnmanagedAccountsTwsctrl3(LPCTSTR accountsList);

	afx_msg void OnupdateNewsBulletinTwsctrl1(short msgId, short msgType, LPCTSTR message, LPCTSTR origExchange);
	afx_msg void OnSetServerLogLevel();

	afx_msg void OncontractDetailsTwsctrl1(LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR exchange, LPCTSTR curency, LPCTSTR localSymbol, LPCTSTR marketName, LPCTSTR tradingClass, long conId, double minTick, long priceMagnifier, LPCTSTR multiplier, LPCTSTR orderTypes, LPCTSTR validExchanges);
	afx_msg void OnbondContractDetailsTwsctrl1(LPCTSTR symbol, LPCTSTR secType, LPCTSTR cusip, double coupon, LPCTSTR maturity, LPCTSTR issueDate, LPCTSTR ratings, LPCTSTR bondType, LPCTSTR couponType, long convertible, long callable, long putable, LPCTSTR descAppend, LPCTSTR exchange, LPCTSTR curency, LPCTSTR marketName, LPCTSTR tradingClass, long conId, double minTick, LPCTSTR orderTypes, LPCTSTR validExchanges);
	
	afx_msg void OnerrMsgTwsctrl1(long id, long errorCode, LPCTSTR errorMsg);
	afx_msg void OnerrMsgTwsctrl2(long id, long errorCode, LPCTSTR errorMsg);
	afx_msg void OnerrMsgTwsctrl3(long id, long errorCode, LPCTSTR errorMsg);

	afx_msg void OnnextValidIdTwsctrl1(long id);
	afx_msg void OnnextValidIdTwsctrl2(long id);
	afx_msg void OnnextValidIdTwsctrl3(long id);

	afx_msg void OnupdateMktDepthTwsctrl1(long id, long position, long operation, long side, double price, long size);
	afx_msg void OnupdateMktDepthL2Twsctrl1(long id, long position, LPCTSTR marketMaker, long operation, long side, double price, long size);

	afx_msg void OnexecDetailsTwsctrl1(long id, LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR cExchange, LPCTSTR curency, LPCTSTR localSymbol, LPCTSTR execId, LPCTSTR time, LPCTSTR acctNumber, LPCTSTR eExchange, LPCTSTR side, long shares, double price, long permId, long clientId, int isLiquidation);
	afx_msg void OnexecDetailsTwsctrl2(long id, LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR cExchange, LPCTSTR curency, LPCTSTR localSymbol, LPCTSTR execId, LPCTSTR time, LPCTSTR acctNumber, LPCTSTR eExchange, LPCTSTR side, long shares, double price, long permId, long clientId, int isLiquidation);
	afx_msg void OnexecDetailsTwsctrl3(long id, LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR cExchange, LPCTSTR curency, LPCTSTR localSymbol, LPCTSTR execId, LPCTSTR time, LPCTSTR acctNumber, LPCTSTR eExchange, LPCTSTR side, long shares, double price, long permId, long clientId, int isLiquidation);

	afx_msg void OnupdateAccountTimeTwsctrl1(LPCTSTR timeStamp);

	afx_msg void OnupdateAccountValueTwsctrl1(LPCTSTR key, LPCTSTR value, LPCTSTR curency, LPCTSTR accountName);
	afx_msg void OnupdateAccountValueTwsctrl2(LPCTSTR key, LPCTSTR value, LPCTSTR curency, LPCTSTR accountName);
	afx_msg void OnupdateAccountValueTwsctrl3(LPCTSTR key, LPCTSTR value, LPCTSTR curency, LPCTSTR accountName);

	afx_msg void OnupdatePortfolioTwsctrl1(LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR curency, LPCTSTR localSymbol, long position, double marketPrice, double marketValue, double averageCost, double unrealizedPNL, double realizedPNL, LPCTSTR accountName);
	afx_msg void OnupdatePortfolioTwsctrl2(LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR curency, LPCTSTR localSymbol, long position, double marketPrice, double marketValue, double averageCost, double unrealizedPNL, double realizedPNL, LPCTSTR accountName);
	afx_msg void OnupdatePortfolioTwsctrl3(LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR curency, LPCTSTR localSymbol, long position, double marketPrice, double marketValue, double averageCost, double unrealizedPNL, double realizedPNL, LPCTSTR accountName);

	afx_msg void OnreceiveFATwsctrl1(long faDataType, LPCTSTR cxml) ;
	afx_msg void OnreceiveFATwsctrl2(long faDataType, LPCTSTR cxml) ;
	afx_msg void OnreceiveFATwsctrl3(long faDataType, LPCTSTR cxml) ;
	
	afx_msg void OnReqOpenOrders();
	afx_msg void OnReqAutoOpenOrders();
	afx_msg void OnReqAcctData();
	afx_msg void OnFinancialAdvisor();


	afx_msg void OntickEFPTwsctrl1(long tickerId, long field, double basisPoints, LPCTSTR formattedBasisPoints,
			          double totalDividends, long holdDays, LPCTSTR futureExpiry, double dividendImpact,
					  double dividendsToExpiry);
	afx_msg void OnrealtimeBarTwsctrl1(long tickerId, long time, double open, double high, double low, double close, long volume, double WAP, long count);
	afx_msg void OncurrentTimeTwsctrl1(long millis);


	//  end TWS messages


	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// some members below can be moved to protected
// 
private:
	void		error(CString &errorStr) ;		//  error returned
    CString     m_managedAccounts1;				//  FA accounts for TWS1
	CString     m_managedAccounts2;
	CString     m_managedAccounts3;
	CString		faGroupsXML;
	CString		faProfilesXML;
	CString		faAliasesXML;
	bool		faError ;

	CString		m_strCaption;					//  Dialog caption

public:
	void receiveFATwsctrl1(long faDataType, LPCTSTR cxml);
	void receiveFATwsctrl2(long faDataType, LPCTSTR cxml);
	void receiveFATwsctrl3(long faDataType, LPCTSTR cxml);

	IB_Info			*mlInfo;		// pointer to modeless form
	SL_EntryAdjust	*mlSLEntry;		// pointer to modeless form
	SL_AttExitAdjust *mlSLExits;	// pointer to modeless form
	CDlgMktDepth	*mlMktDepth;	// pointer to modeless form
	CDoM			*mlDOM;			// pointer to modeless form

	bool isFinancialAdvisor1()     { return m_financialAdvisor1;}
	bool isFinancialAdvisor2()     { return m_financialAdvisor2;}
	bool isFinancialAdvisor3()     { return m_financialAdvisor3;}
	void OnInitButtons(BOOL);		// Bitmap buttons
	void UpdateTickerPrice(TickType field, double Price);
	void UpdateTickerVolume(TickType field, long Vol);
	int DefineConnectParam(int);	// Connect parameters for each TWS account
	
	void PlaceOrder_tws1(int ordnum, BOOL entry);
	void PlaceOrder_tws2(int ordnum, BOOL entry);
	void PlaceOrder_tws3(int ordnum, BOOL entry);

	void SetupListCtrls(void);			// set up display for lists
	void AddStatusLine(CString strLine, int);
	void GetAccounts(void);				// get which accounts are enabled
	void SetLogFile(void);				// 
	void OnBnClickedClearexec(void);	// clear lists (Open1 and Open2)
	void ReqIBPosition(int);			// get current position
	void OnBnClickedModorder();			// amend current open order
	void OnFinancialAdvisor1();			// not fully implemented
	void OnFinancialAdvisor2();			//
	void OnFinancialAdvisor3();			//
	//CWinThread *m_ConnectThread;

	void CommitNewStop();		// order update
	void CommitNewLimit1();		//
	void CommitNewLimit2();		//
	void CommitNewLimit3();		//

	// AFX
	afx_msg void OnCanorder();			// cancel order (stp,lmt)
	afx_msg void OnBnClickedOrdersettings();	// settings button
	afx_msg void OnLongEntry();	// entry/exit
	afx_msg void OnLongExit();	//
	afx_msg void OnReverseToShort();	//
	afx_msg void OnShortEntry();	//
	afx_msg void OnShortExit();	//
	afx_msg void OnReverseToLong();	//
	afx_msg void OnEnChangeQty();		// change num contracts
	afx_msg void OnStartTicker();	// ticker
	afx_msg void OnStopTicker();	// cancel ticker

	afx_msg void OnLvnItemchangedListopen1(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnLvnItemchangedListopen2(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedOk();		// close button
	afx_msg void OnDestroy();			// destroy dialog on closing prog
	
	afx_msg void OnCbnSelchangeCombo1();
	afx_msg void OnNMCustomdrawList1(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnNMClickBidaskticker(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnNMClickOpen1(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnTimer(UINT nIDEvent);

	afx_msg void OnNMRclickId(NMHDR *pNMHDR, LRESULT *pResult);
	
	afx_msg void OnEnKillfocusQty();

	afx_msg void OnNMRclickBidaskticker(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnNMHoverBidaskticker(NMHDR *pNMHDR, LRESULT *pResult); // not used yet
	afx_msg void OnNMRclickOpen1(NMHDR *pNMHDR, LRESULT *pResult);

	afx_msg void OnNMDblclkOpen2(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnNMDblclkOpen1(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnNMDblclkId(NMHDR *pNMHDR, LRESULT *pResult);

	afx_msg void OnNMClickOpen2(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnNMDblclkBidaskticker(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedSlEntry();			// stop/limit entry dialog
	afx_msg void OnBnClickedStatus();			// status dialog button
	afx_msg void OnBnDoubleclickedDisconnect();	// disconnect and clear ports

	afx_msg void OnBnClickedSlExit();			// adjust stp/lmt exits
	afx_msg void OnNMClickList4(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnLvnColumnclickBidaskticker(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnNMRclickOpen2(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedButton13();
	afx_msg void OnBnClickedButton14();
	afx_msg void OnBnClickedButton15();
	afx_msg void OnBnClickedRefresh();
	afx_msg void OnBnClickedMktdepth();
	afx_msg void OnBnDoubleclickedButton3();

	afx_msg void OntickOptionComputationTwsctrl1(long id, long tickType, double impliedVol, double delta, double modelPrice, double pvDividend);

	afx_msg void OnScannerParametersTwsctrl1(LPCTSTR xml);
	afx_msg void OnScannerDataTwsctrl1(long reqId, long rank, LPCTSTR symbol, LPCTSTR secType, LPCTSTR expiry, double strike, LPCTSTR right, LPCTSTR exchange, LPCTSTR curency, LPCTSTR localSymbol, LPCTSTR marketName, LPCTSTR tradingClass, LPCTSTR distance, LPCTSTR benchmark, LPCTSTR projection);
	afx_msg void OntickGenericTwsctrl1(long id, long tickType, double value);
	afx_msg void OntickStringTwsctrl1(long id, long tickType, LPCTSTR value);

	int  m_nProgStatus;
	long m_lNumIB;				// number of IB accounts
	long m_lTickerId;			// only 1 ticker 
	long m_lOrderId_tws1;		// order ids
	long m_lOrderId_tws2;
	long m_lOrderId_tws3;

	long m_nStopBookSize1;
	long m_nLmt1BookSize1;
	long m_nLmt2BookSize1;
	long m_nLmt3BookSize1;

	long m_nStopVolCount1;
	long m_nLmt1VolCount1;
	long m_nLmt2VolCount1;
	long m_nLmt3VolCount1;

	long m_lLastOrderId_tws1;			// last order id TWS1
	long m_lLastOrderId_tws2;			// last order id TWS2
	long m_lLastOrderId_tws3;			// last order id TWS3

	long m_lLastStopOrderId1_tws1;		// last stop order (OCA group 1) TWS1
	long m_lLastStopOrderId2_tws1;		// last stop order (OCA group 2) TWS1
	long m_lLastStopOrderId3_tws1;		// last stop order (OCA group 3) TWS1

	long m_lLastStopOrderId1_tws2;		// last stop order (OCA group 1) TWS2
	long m_lLastStopOrderId2_tws2;		// last stop order (OCA group 2) TWS2
	long m_lLastStopOrderId3_tws2;		// last stop order (OCA group 3) TWS2

	long m_lLastStopOrderId1_tws3;		// last stop order (OCA group 1) TWS3
	long m_lLastStopOrderId2_tws3;		// last stop order (OCA group 2) TWS3
	long m_lLastStopOrderId3_tws3;		// last stop order (OCA group 3) TWS3

	long m_lLastLimitOrderId1_tws1;		// last limit order1 (OCA group 1) TWS1
	long m_lLastLimitOrderId2_tws1;		// last limit order2 (OCA group 2) TWS1
	long m_lLastLimitOrderId3_tws1;		// last limit order3 (OCA group 3) TWS1

	long m_lLastLimitOrderId1_tws2;		// last limit order1 (OCA group 1) TWS2
	long m_lLastLimitOrderId2_tws2;		// last limit order2 (OCA group 2) TWS2
	long m_lLastLimitOrderId3_tws2;		// last limit order3 (OCA group 3) TWS2

	long m_lLastLimitOrderId1_tws3;		// last limit order1 (OCA group 1) TWS3
	long m_lLastLimitOrderId2_tws3;		// last limit order2 (OCA group 2) TWS3
	long m_lLastLimitOrderId3_tws3;		// last limit order3 (OCA group 3) TWS3

	CString	m_strLastOCA1_tws1;			// OCA Name for Group1 TWS1
	CString	m_strLastOCA2_tws1;			// OCA Name for Group2 TWS1
	CString	m_strLastOCA3_tws1;			// OCA Name for Group3 TWS1

	CString	m_strLastOCA1_tws2;			// OCA Name for Group1 TWS2
	CString	m_strLastOCA2_tws2;			// OCA Name for Group2 TWS2
	CString	m_strLastOCA3_tws2;			// OCA Name for Group3 TWS2

	CString	m_strLastOCA1_tws3;			// OCA Name for Group1 TWS3
	CString	m_strLastOCA2_tws3;			// OCA Name for Group2 TWS3
	CString	m_strLastOCA3_tws3;			// OCA Name for Group3 TWS3

	CString m_strLastAction;			// last entry: buy or sell ?

	long	m_lDefaultOrderSize;
	
	long	m_nNumFilled1;
	long	m_nNumFilled2;
	long	m_nNumFilled3;

	double	m_dLatestBid;
	double	m_dLatestAsk;
	double	m_dLatestTrade;
	long	m_nLatestVol;
	double	m_dNumStpPts;		// could be turned to an array, but 1 stop for now
	double	m_dNumLmtPts[3];	// 3 limit exits
	int		m_nNumShares[3];

	double	m_dSymbolTickSize;	// price increment
	double  m_dMultiplier;		// sometimes used for stocks (quoted in cents for instance)

	long	m_nLowVol;			// low vol alert
	long	m_nPeakVol;			// high vol alert

	double	m_dDayLow;
	double	m_dDayHigh;
	double	m_dClose;

	int		m_nFAAcctNo;

	CTime	m_tTimeRef;

	BOOL	m_bSL;
	BOOL	m_bLT;

	BOOL	m_bEnableButtonControl;
	BOOL	m_bAutoReturnToMKT;

	BOOL	m_bVerbose;
	BOOL	m_bDebug;

	BOOL	m_bAdvMktDepth;		// keeps track whether MktDepth has been requested

	FA_info	FA[3];				// Financial Advisor stuff

	CRegistry	m_Reg;			// Registry location where parameter defaults are stored

	CString		m_strTime;
	Connect		c1;					// connect info for Tws1
	Connect		c2;
	Connect		c3;

	Contract	cont;				// struct containing contract details
	Order		order[7][3];		// struct containing order details (1 entry, 3 stops, 3 targets)

	CEdit NumContracts;			// Num cts override
	int	 m_nPosition1;			// Current position for Acct1
	int	 m_nPosition2;			// Current position for Acct2
	int	 m_nPosition3;			// Current position for Acct3
	BOOL m_bMarketOrder;		// Order type
	BOOL m_bBidAskLimitOrder;	// Order type
	BOOL m_bOneTickLimitOrder;	// Order type
	BOOL m_bLimitOrder;			// Order type
	BOOL m_bStopOrder;			// Order type
	BOOL m_bLITOrder;			// Order type
	BOOL m_bMITOrder;			// Order type


	BOOL	m_bPaperTrade;
	BOOL	m_bAutoClose;
	BOOL	m_bFractExits;

	int		m_nEODhour;			// EOD close position
	int		m_nEODmin;
	int		m_nTimeOffset;

	UINT	m_nTimer1;			// used to request open order status after 2secs
	UINT	m_nTimer2;			// used to request open order status after 2secs
	UINT	m_nTimer3;			// used to request open order status after 2secs
	UINT	m_nTimerTicker;

	BOOL	m_bTickerActive;

	CXListCtrl ListOpenOrder1;	// ListCtrl receiving OpenOrder1 events
	CXListCtrl ListOpenOrder2;	// ListCtrl receiving OpenOrder2 events
	CXListCtrl ListBidAsk;		// Ticker

	CButtonST m_btnClear;
	CButtonST m_btnClose;
	CButtonST m_btnConnect;
	CButtonST m_btnDisconnect;
	CButtonST m_btnSettings;
	CButtonST m_btnCancelOrders;

	CButtonST m_btnLE;
	CButtonST m_btnLX;
	CButtonST m_btnRS;
	CButtonST m_btnSE;
	CButtonST m_btnSX;
	CButtonST m_btnRL;
	CButtonST m_btnStatus;
	CComboBox m_cbbOrdType;

	int		m_nBidAsk;
	CMenu*	m_mOrderPopup;		// not used

	BOOL * m_bTwsConnected;		// Keep track of connections
	BOOL * m_bTwsChecked1;		// List1
	BOOL * m_bTwsChecked2;		// List2
	CString		m_strLog;		// Log file

private:

	int			m_nOrdSizeMult;	// multiplier according to order level (conservative, etc..)
	double		m_nRange;

    bool        m_financialAdvisor1;
	bool        m_financialAdvisor2;
	bool        m_financialAdvisor3;

	CString		m_strLogPath;
	CString		m_strTradeLogPath;
	BOOL		m_bWinOnTop;
	void		AddToLog(CString strLine);
	void		AddToTradeLog(CString strLine);
	void		WinOnTop(void);
	CTime		CurrentTime;		// record time

	BOOL		m_bReqIBnews;

	CXListCtrl m_lstEntry;			// type of entry: Conservative, Normal, etc...

public:

	BOOL		m_bUseStop;
	BOOL		m_bUseLimit;
	BOOL		m_bTrail;
	BOOL		m_bPopupStatus;
	BOOL		m_bLastEntrySig;
	
	CString		m_strLmtPrice;		// limit entry
	CString		m_strStpPrice;		// stop entry
	CString		m_strStopLoss;		// stop exit
	CString		m_strLimitTarget;	// limit exit1
	CString		m_strLimitTarget2;	// limit exit2
	CString		m_strLimitTarget3;	// limit exit3

	CString		m_strAcct1;
	CString		m_strAcct2;
	CString		m_strAcct3;

	double		m_dEntryPrice;
	double		m_dStopPrice;
	double		m_dLimitTarget;
	double		m_dLimitTarget2;
	double		m_dLimitTarget3;

	CString		m_RegIBDKey;		// Base registry key for IBD OrderId and Status
	CString		m_strSessionNo;		// Session no (used when several IB_Direct instances)
	int			m_nSessionNo;

	void	SignalButton_Status(int nButtonNo);
	void	ResetButtons(void);
	void	ResetOrderIds(int twsn);
	void	Req_IB_News(void);
	void	SetLogLevel(void);
	void	AutoReturntoMKT(void);	
	void	SetAdvMktDepthFlag(void);
	void	ClearAllRegSettings(void);
	void	CancelAttachedOrders_tws1(void);
	void	CancelAttachedOrders_tws2(void);
	void	CancelAttachedOrders_tws3(void);

	//static UINT StartConnectThread(LPVOID);
	double m_dOriginalStopPrice1;
	double m_dOriginalStopPrice2;
	double m_dOriginalStopPrice3;

	double m_dPointsSinceEntry;

	double m_dAvgFillPrice1;
	double m_dAvgFillPrice2;
	double m_dAvgFillPrice3;

	double m_dLastFillPrice1;
	double m_dLastFillPrice2;
	double m_dLastFillPrice3;

	
	CButtonST m_btnSLExits;
	CButtonST m_btnSLEntry;
	CListBox m_lstFAAccounts;
	CButtonST m_btnMktDepth;
	CButtonST m_btnFA;
	CButtonST m_btnFAaccts;
	CButtonST m_btnAllocation;
	CEdit OrdMult;
	CButtonST m_btnRefresh;
	afx_msg void OnLvnColumnclickOpen1(NMHDR *pNMHDR, LRESULT *pResult);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CLIENT3DLG_H__E9173BB6_0F7E_11D6_B0ED_00B0D074179C__INCLUDED_)